import { Text, View } from "@tarojs/components"
import styles  from './index.module.scss'
import classnames from "classnames";
import { useCallback, useRef, useState } from "react";
import ShipmentMode from "./components/shipmentMode";
import AddressList from "@/components/AddressList";
import { goLink } from "@/common/common";
export default () => {
  //提交的数据
  const [submitData, setSubmitData] = useState({
    address_id:0,
    id:0,
    shipment_mode: 0
  })
  //获取收货方法
  const getShipmentMode = useCallback((num) => {
    setSubmitData((val) => ({...val, shipment_mode:num}))
  }, [])
  return (
    <View className={styles.order_edit_main}>
      <View className={classnames(styles.title_msg)}>
        <Text className={classnames(styles.miconfont, 'iconfont icon-zhuyi')}></Text>
        <View className={styles.title_msg_con}>
          <Text>修改收货地址可能会影响发货时效</Text>
          <Text>若商品已发货，则不能修改</Text>
        </View>
      </View>
      <View className={styles.shipmentMode_con}>
        <ShipmentMode onSelect={getShipmentMode}/>
      </View>
      <View className={styles.old_address}>
        <Text className={styles.old_address_text}>原地址:</Text>
        <Text className={styles.old_address_text}>广东省 佛山市 禅城区 张槎街道 清风路1988号麦兜的大 大仓库</Text>
        <View className={styles.userInfo}>
          <Text className={styles.userInfo_text}>陈先生</Text>
          <Text className={styles.userInfo_text}>1818877790</Text>
        </View>
      </View>
      <View className={styles.select_address_con}>
        <View className={styles.title}>重新选择收货地址</View>
        <View className={styles.address_list}>
          <AddressList focusBorderEnabled={true} addButtonEnabled={false}/>
        </View>
        <View className={styles.submitBtn}>
          <View onClick={() => goLink('/pages/addressAdd/index', {type:'add'})} className={classnames(styles.addAddress, styles.addressBtn)}>添加新地址</View>
          <View className={classnames(styles.submitUpdate, styles.addressBtn)}>提交修改</View>
        </View>
      </View>
      <View className="common_safe_area_y"></View>
    </View>
  )
}